# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

# FIXME: this option is not finished
%bcond_without bare_poms
%bcond_with bundled
%bcond_without repolib

%define section free

%global repodir %{_javadir}/repository.jboss.com/sun-jaxws/%{version}-brew
%global repodirlib %{repodir}/lib
%global repodirsrc %{repodir}/src

%global apiver 2.1
# XXX: project wants 2.1.9, but AS wants this
%global jaxbver 2.1.12

# FIXME: (dwalluck): This package has many bundled jars

Name:           glassfish-jaxws
Version:        2.1.7
Release:        0.30%{?dist}
Epoch:          0
Summary:        Java API for XML Web Services API
License:        CDDL 1.0/GPLv2
Group:          Development/Libraries/Java
URL:            https://jax-ws-sources.dev.java.net/
# cvs -z3 -Q -d:pserver:guest@cvs.dev.java.net:/cvs export -D 20090417 -d glassfish-jaxws-2.1.7 jax-ws-sources/jaxws-ri && tar cjf glassfish-jaxws-2.1.7-src.tar.bz2 glassfish-jaxws-2.1.7
Source0:        glassfish-jaxws-2.1.7-src.tar.bz2
Source1:	%{name}-component-info.xml
Source2:        jaxws-api-2.1.pom
Source3:        http://repository.jboss.org/maven2/sun-jaxws/jaxws-rt/2.1.7/jaxws-rt-2.1.7.pom
Source4:        http://repository.jboss.org/maven2/sun-jaxws/jaxws-tools/2.1.7/jaxws-tools-2.1.7.pom
#Source5:        http://repository.jboss.org/maven2/sun-jaxws/stax-ex/2.1.1/stax-ex-2.1.1.pom
#Source6:        http://repository.jboss.org/maven2/sun-jaxws/streambuffer/2.1.1/streambuffer-2.1.1.pom
Patch0:         glassfish-jaxws-pom.patch
Patch1:         glassfish-jaxws-no-findbugs.patch
Provides:       jaxws_api = 0:2.1
Provides:       jaxws_2_1_api = 0:%{version}-%{release}
Requires(post): jpackage-utils
Requires(post): %{_sbindir}/update-alternatives
Requires(postun): jpackage-utils
Requires(preun): %{_sbindir}/update-alternatives
Requires:       jpackage-utils
%if %without bundled
# FIXME: the real Requires from the POM files should be included
# jaxws-rt: com.sun.org.apache.xml.internal:resolver:20050927: org.jvnet:mimepull:1.3:
Requires:       glassfish-jaxb
%if %without bare_poms
Requires:       sun-saaj-1.3-impl
%endif
Requires:       sun-xmlstreambuffer
Requires:       wstx
%if %without bare_poms
Requires:       sun-mimepull
%endif
# FIXME: This is added in place of annotation_1_0_api
#Requires:       jboss-ejb-3.0-api
Requires:       glassfish-jaf
Requires:       jaxb_2_1_api
Requires:       codehaus-stax-api
Requires:       stax-ex
Requires:       sun-fi
%if %without bare_poms
Requires:       saaj_1_3_api
%endif
Requires:       tomcat6-servlet-2.5-api
Requires:       sun-sjsxp
Requires:       sun-ws-metadata-2.0-api
%if %without bare_poms
# FIXME: this doesn't work, using sun-ws-metadata-2.0-api instead
Requires:       ws_metadata_2_0_api
%endif
%if %with repolib
BuildRequires:  maven2-plugin-deploy
%endif
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  ant-junit
BuildRequires:  ant-nodeps
BuildRequires:  ant-trax
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  jaf_1_1_api
BuildRequires:  sun-fi >= 0:1.2.4
BuildRequires:  jaxb_2_1_api
BuildRequires:  glassfish-jaxb >= 0:2.1.11
#BuildRequires: glassfish-jaxws >= 0:2.1.3
BuildRequires:  sun-jaxws-2.1-api >= 0:2.1
# jsr173_api (or bea-stax-api)
BuildRequires:  codehaus-stax11-api
# jsr181-api (or geronimo-ws-metadata-2.0-api)
BuildRequires:  sun-ws-metadata-2.0-api
# jsr250-api (or {geronimo,sun}-annotation-1.0-api)
BuildRequires:  jboss-ejb-3.0-api
# FIXME: Need upgrade to 1.3
BuildRequires:  sun-mimepull >= 0:1.2
%if %without bare_poms
BuildRequires:  saaj_1_3_api
# FIXME: wants 1.3.3
BuildRequires:  sun-saaj-1.3-impl >= 0:1.3.2
%endif
BuildRequires:  sun-sjsxp >= 0:1.0.1
BuildRequires:  stax-ex >= 0:1.2
BuildRequires:  sun-xmlstreambuffer >= 0:0.8
BuildRequires:  wstx >= 0:3.2.1
BuildRequires:  servlet_2_5_api
BuildRequires:  javatools-package-rename-task
BuildRequires:  sun-htmlmacro
BuildRequires:  jakarta-commons-jelly-tags-jsl >= 0:1.0
%if 0
BuildRequires:  findbugs
%endif
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Java API for XML-Based Web Services (JAX-WS) 2.1
according to JSR-224 MR2i.

%if %with repolib
%package repolib
Summary:         Artifacts to be uploaded to a repository library
Group:           Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q
%patch0 -p0 -b .sav0
%patch1 -p0 -b .sav1

%{__perl} -pi \
    -e 's/\@API_VERSION\@/%{apiver}/g;' \
    -e 's/\@VERSION\@/%{version}/g;' \
    -e 's/\@JAXB_VERSION\@/%{jaxbver}/g;' \
    etc/poms/jaxws-api.pom etc/poms/jaxws-rt.pom etc/poms/jaxws-tools.pom

%if %without bundled
# FIXME: These jars are still bundled, and http.jar is part of Sun JDK6.
%{_bindir}/find -type f -name "*.jar" -a -not -name jaxws-asm.jar -a -not -name installer-builder.jar -a -not -name maven-repository-importer.jar -a -not -name resolver.jar -a -not -name http.jar | %{_bindir}/xargs -t %{__rm}
pushd lib
# remove all jars
%{__ln_s} $(build-classpath activation) activation.jar
%{__ln_s} $(build-classpath sun-fi) FastInfoset.jar
%{__ln_s} $(build-classpath glassfish-jaxb/jaxb-api) .
%{__ln_s} $(build-classpath glassfish-jaxb/jaxb-impl) .
%{__ln_s} $(build-classpath glassfish-jaxb/jaxb-xjc) .
%{__ln_s} $(build-classpath jaxws_api) jaxws-api.jar
# XXX: jaxws-rt
# XXX: jaxws-tools
%{__ln_s} $(build-classpath codehaus-stax11-api) jsr173_api.jar
%{__ln_s} $(build-classpath sun-ws-metadata-2.0-api) jsr181-api.jar
%{__ln_s} $(build-classpath jboss-ejb-3.0-api) jsr250-api.jar
%{__ln_s} $(build-classpath sun-mimepull) mimepull.jar
# XXX: not right
%if 0
%{__ln_s} $(build-classpath xml-commons-resolver12) resolver.jar
%endif
%if %without bare_poms
%{__ln_s} $(build-classpath sun-saaj-1.3-api) saaj-api.jar
%{__ln_s} $(build-classpath sun-saaj-1.3-impl) saaj-impl.jar
%endif
%{__ln_s} $(build-classpath servlet_2_5_api) servlet.jar
%{__ln_s} $(build-classpath sun-sjsxp) sjsxp.jar
%{__ln_s} $(build-classpath stax-ex) .
%{__ln_s} $(build-classpath sun-xmlstreambuffer) streambuffer.jar
%{__ln_s} $(build-classpath sun-htmlmacro) htmlmacro.jar
%{__ln_s} $(build-classpath jakarta-commons-jelly-tags-jsl) jakarta-commons-jelly-tags-jsl.jar
%{__ln_s} $(build-classpath wstx/wstx-lgpl) woodstox.jar

%{__ln_s} $(build-classpath javatools-package-rename-task) package-rename-task.jar

%if 0
%{__mkdir_p} etc/findbugs
%{__cp} -pr %{_datadir}/findbugs/* etc/findbugs/
%endif
popd
%endif

%build
export CLASSPATH=
export OPT_JAR_LIST=`%{__cat} %{_sysconfdir}/ant.d/{junit,trax}`
%{ant} 

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
/bin/touch %{buildroot}%{_javadir}/jaxws_2_1_api.jar
/bin/touch %{buildroot}%{_javadir}/jaxws_api.jar

%{__mkdir_p} %{buildroot}%{_javadir}/sun-jaxws
###
%{__cp} -p build/lib/jaxws-api.jar %{buildroot}%{_javadir}/sun-jaxws/jaxws-api.jar
%{__cp} -p build/lib/jaxws-rt.jar %{buildroot}%{_javadir}/sun-jaxws/jaxws-rt.jar
%{__cp} -p build/lib/jaxws-tools.jar %{buildroot}%{_javadir}/sun-jaxws/jaxws-tools.jar
###
pushd %{buildroot}%{_javadir}/sun-jaxws
%{__ln_s} $(build-classpath sun-fi) FastInfoset.jar
%{__ln_s} $(build-classpath stax_1_0_api) jsr173_api.jar
%{__ln_s} $(build-classpath ws_metadata_2_0_api) jsr181-api.jar
%{__ln_s} $(build-classpath jboss-ejb-3.0-api) jsr250-api.jar
%if %without bare_poms
%{__ln_s} $(build-classpath saaj_1_3_api) saaj-api.jar
%{__ln_s} $(build-classpath sun-saaj-1.3-impl) saaj-impl.jar
%endif
%{__ln_s} $(build-classpath sun-sjsxp) sjsxp.jar
%{__ln_s} $(build-classpath stax-ex) stax-ex.jar
%{__ln_s} $(build-classpath sun-xmlstreambuffer) streambuffer.jar
popd
# FIXME: Do not have these two built from sources
%{__cp} -p build/lib/http.jar %{buildroot}%{_javadir}/sun-jaxws/http.jar
%{__cp} -p build/lib/resolver.jar %{buildroot}%{_javadir}/sun-jaxws/resolver.jar
###
# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%if %without bare_poms
%{__cp} -p etc/poms/jaxws-api.pom %{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-api.pom
%else
%{__cp} -p %{SOURCE2} %{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-api.pom
%endif
%add_to_maven_depmap javax.xml.ws jaxws-api %{apiver} JPP/sun-jaxws jaxws-api
%add_to_maven_depmap sun-jaxws jaxws-api %{apiver} JPP/sun-jaxws jaxws-api
%if %without bare_poms
%{__cp} -p etc/poms/jaxws-rt.pom %{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-rt.pom
%else
%{__cp} -p %{SOURCE3} %{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-rt.pom
%endif
%add_to_maven_depmap com.sun.xml.ws jaxws-rt %{version} JPP/sun-jaxws jaxws-rt
%add_to_maven_depmap sun-jaxws jaxws-rt %{version} JPP/sun-jaxws jaxws-rt
%if %without bare_poms
%{__cp} -p etc/poms/jaxws-tools.pom %{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-tools.pom
%else
%{__cp} -p %{SOURCE4} %{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-tools.pom
%endif
%add_to_maven_depmap com.sun.xml.ws jaxws-tools %{version} JPP/sun-jaxws jaxws-tools
%add_to_maven_depmap sun-jaxws jaxws-tools %{version} JPP/sun-jaxws jaxws-tools
###
%if 0
# XXX: provided by sun-ws-metadata-2.0-api RPM
%{__cp} -p etc/poms/jsr181.pom %{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jsr181-api.pom
%add_to_maven_depmap javax.jws jsr181-api 1.0-MR1 JPP/sun-jaxws jsr181-api
%endif
###

%if %with repolib
%if %without bare_poms
%{_bindir}/mvn-jpp deploy:deploy-file -DgroupId=javax.xml.ws -DartifactId=jaxws-api -Dversion=%{apiver} -Dpackaging=jar -Dfile=%{buildroot}%{_javadir}/sun-jaxws/jaxws-api.jar \
    -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-api.pom -Durl=file:%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew -DrepositoryId=oss-releases
%{_bindir}/mvn-jpp deploy:deploy-file -DgroupId=com.sun.xml.ws -DartifactId=jaxws-rt -Dversion=%{version} -Dpackaging=jar -Dfile=%{buildroot}%{_javadir}/sun-jaxws/jaxws-rt.jar \
    -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-rt.pom -Durl=file:%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew -DrepositoryId=oss-releases
%{_bindir}/mvn-jpp deploy:deploy-file -DgroupId=com.sun.xml.ws -DartifactId=jaxws-tools -Dversion=%{version} -Dpackaging=jar -Dfile=%{buildroot}%{_javadir}/sun-jaxws/jaxws-tools.jar \
    -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-tools.pom -Durl=file:%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew -DrepositoryId=oss-releases
%else
%{_bindir}/mvn-jpp deploy:deploy-file -DgroupId=javax.xml.ws -DartifactId=jaxws-api -Dversion=%{apiver} -Dpackaging=jar -Dfile=%{buildroot}%{_javadir}/sun-jaxws/jaxws-api.jar \
    -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-api.pom -Durl=file:%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew -DrepositoryId=oss-releases
%{_bindir}/mvn-jpp deploy:deploy-file -DgroupId=sun-jaxws -DartifactId=jaxws-rt -Dversion=%{version} -Dpackaging=jar -Dfile=%{buildroot}%{_javadir}/sun-jaxws/jaxws-rt.jar \
    -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-rt.pom -Durl=file:%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew -DrepositoryId=oss-releases
%{_bindir}/mvn-jpp deploy:deploy-file -DgroupId=sun-jaxws -DartifactId=jaxws-tools -Dversion=%{version} -Dpackaging=jar -Dfile=%{buildroot}%{_javadir}/sun-jaxws/jaxws-tools.jar \
    -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-tools.pom -Durl=file:%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew -DrepositoryId=oss-releases
# sun-jaxws:stax-ex
# sun-jaxws:streambuffer
%endif

%if 0
relocate_pom() {
    groupId1=$1
    artifactId1=$2
    version1=$3
    groupId2=$4
    artifactId2=$5
    version2=$6 
%{__cat} > ${groupId1}.${artifactId1}.${version1}.pom << EOF
<?xml version="1.0" encoding="UTF-8"?>
<project>
  <modelVersion>4.0.0</modelVersion>
  <groupId>${groupId1}</groupId>
  <artifactId>${artifactId1}</artifactId>
  <version>${version1}</version>
  <distributionManagement>
    <relocation>
      <groupId>${groupId2}</groupId>
      <artifactId>${artifactId2}</artifactId>
      <version>${version2}</version>
    </relocation>
  </distributionManagement>
</project>
EOF
%{_bindir}/mvn-jpp deploy:deploy-file -DgroupId=${groupId1} -DartifactId=${artifactId1} -Dversion=${version1} -Dpackaging=pom \
    -Dfile=${groupId1}.${artifactId1}.${version1}.pom -Durl=file:%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew -DrepositoryId=oss-releases
}

relocate_pom sun-jaxws jaxws-api 2.1.3 javax.xml.ws jaxws-api %{apiver}
relocate_pom sun-jaxws jaxws-rt 2.1.7 com.sun.xml.ws jaxws-rt %{version}
relocate_pom sun-jaxws jaxws-tools 2.1.7 com.sun.xml.ws jaxws-tools %{version}
relocate_pom sun-jaxws jsr181-api 2.1.3 javax.jws jsr181-api 1.0-MR1
relocate_pom sun-jaxws stax-ex 2.1.3 org.jvnet.staxex stax-ex 1.2
relocate_pom sun-jaxws streambuffer 2.1.7 com.sun.xml.stream.buffer streambuffer 0.8

%{_bindir}/mvn-jpp deploy:deploy-file -DgroupId=javax.xml.ws -DartifactId=jaxws-api -Dversion=%{version} -Dpackaging=jar -Dfile=%{buildroot}%{_javadir}/sun-jaxws/jaxws-api.jar \
    -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-api.pom -Durl=file:%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew -DrepositoryId=oss-releases
%{_bindir}/mvn-jpp deploy:deploy-file -DgroupId=com.sun.xml.ws -DartifactId=jaxws-rt -Dversion=%{version} -Dpackaging=jar -Dfile=%{buildroot}%{_javadir}/sun-jaxws/jaxws-rt.jar \
    -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-rt.pom -Durl=file:%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew -DrepositoryId=oss-releases
%{_bindir}/mvn-jpp deploy:deploy-file -DgroupId=com.sun.xml.ws -DartifactId=jaxws-tools -Dversion=%{version} -Dpackaging=jar -Dfile=%{buildroot}%{_javadir}/sun-jaxws/jaxws-tools.jar \
    -DpomFile=%{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-tools.pom -Durl=file:%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew -DrepositoryId=oss-releases
%endif
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{repodir}
%{__mkdir_p} %{buildroot}%{repodirlib}
%{__cp} -p %{SOURCE1} %{buildroot}%{repodir}/component-info.xml
%{__sed} -i "s/@VERSION@/%{version}-brew/g" %{buildroot}%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
%{__mkdir_p} %{buildroot}%{repodirsrc}
%{__cp} -p %{SOURCE0} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH0} %{buildroot}%{repodirsrc}
%{__cp} -p %{PATCH1} %{buildroot}%{repodirsrc}
%{__cp} -p %{buildroot}%{_javadir}/sun-jaxws/jaxws-api.jar %{buildroot}%{repodirlib}/
%{__cp} -p %{buildroot}%{_javadir}/sun-jaxws/jaxws-rt.jar %{buildroot}%{repodirlib}/
%{__cp} -p %{buildroot}%{_javadir}/sun-jaxws/jaxws-tools.jar %{buildroot}%{repodirlib}/
%{__cp} -p %{buildroot}%{_javadir}/sun-jaxws/jsr173_api.jar %{buildroot}%{repodirlib}/
%{__cp} -p %{buildroot}%{_javadir}/sun-jaxws/jsr181-api.jar %{buildroot}%{repodirlib}/
%{__cp} -p %{buildroot}%{_javadir}/sun-jaxws/jsr250-api.jar %{buildroot}%{repodirlib}/
###
%{__cp} -p %{buildroot}%{_javadir}/sun-jaxws/http.jar %{buildroot}%{repodirlib}/
%{__cp} -p %{buildroot}%{_javadir}/sun-jaxws/resolver.jar %{buildroot}%{repodirlib}/
###
%{__cp} -p %{buildroot}%{_javadir}/sun-jaxws/FastInfoset.jar %{buildroot}%{repodirlib}/
%if 0
%{__cp} -p %{buildroot}%{_javadir}/sun-jaxws/saaj-api.jar %{buildroot}%{repodirlib}/
%{__cp} -p %{buildroot}%{_javadir}/sun-jaxws/saaj-impl.jar %{buildroot}%{repodirlib}/
%endif
%{__cp} -p %{buildroot}%{_javadir}/sun-jaxws/sjsxp.jar %{buildroot}%{repodirlib}/
%{__cp} -p %{buildroot}%{_javadir}/sun-jaxws/streambuffer.jar %{buildroot}%{repodirlib}/
%{__cp} -p %{buildroot}%{_javadir}/sun-jaxws/stax-ex.jar %{buildroot}%{repodirlib}/
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-api.pom %{buildroot}%{repodirlib}/jaxws-api.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-rt.pom %{buildroot}%{repodirlib}/jaxws-rt.pom
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-tools.pom %{buildroot}%{repodirlib}/jaxws-tools.pom
###
%if 0
# XXX: provided by sun-ws-metadata-2.0-api RPM
%{__cp} -p %{buildroot}%{_datadir}/maven2/poms/JPP.sun-jaxws-jsr181-api.pom %{buildroot}%{repodirlib}/jsr181-api.pom
%endif
###
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%{_sbindir}/update-alternatives --install %{_javadir}/jaxws_2_1_api.jar jaxws_2_1_api %{_javadir}/sun-jaxws/jaxws-api.jar 20107
%{_sbindir}/update-alternatives --install %{_javadir}/jaxws_api.jar jaxws_api %{_javadir}/sun-jaxws/jaxws-api.jar 20107
%update_maven_depmap

%preun
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jaxws_2_1_api %{_javadir}/sun-jaxws/jaxws-api.jar
    %{_sbindir}/update-alternatives --remove jaxws_api %{_javadir}/sun-jaxws/jaxws-api.jar
fi

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc CDDL-1.0-license.txt
%ghost %{_javadir}*/jaxws_2_1_api.jar
%ghost %{_javadir}*/jaxws_api.jar
%dir %{_javadir}*/sun-jaxws
###
%{_javadir}*/sun-jaxws/http.jar
%{_javadir}*/sun-jaxws/resolver.jar
###
%{_javadir}*/sun-jaxws/jaxws-api.jar
%{_javadir}*/sun-jaxws/jaxws-rt.jar
%{_javadir}*/sun-jaxws/jaxws-tools.jar
###
%{_javadir}*/sun-jaxws/FastInfoset.jar
%{_javadir}*/sun-jaxws/jsr173_api.jar
%{_javadir}*/sun-jaxws/jsr181-api.jar
%{_javadir}*/sun-jaxws/jsr250-api.jar
%if 0
%{_javadir}*/sun-jaxws/saaj-api.jar
%{_javadir}*/sun-jaxws/saaj-impl.jar
%endif
%{_javadir}*/sun-jaxws/sjsxp.jar
%{_javadir}*/sun-jaxws/stax-ex.jar
%{_javadir}*/sun-jaxws/streambuffer.jar
###
%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-api.pom
%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-rt.pom
%{_datadir}/maven2/poms/JPP.sun-jaxws-jaxws-tools.pom
###
%if 0
# XXX: provided by sun-ws-metadata-2.0-api RPM
%{_datadir}/maven2/poms/JPP.sun-jaxws-jsr181-api.pom
%endif
###
%{_mavendepmapfragdir}/%{name}


%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadir}*/sun-jaxws
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Mon Apr 11 2011 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.30
- own alternatives symlinks

* Wed Mar 23 2011 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.29
- change jaxws-api groupId from sun-jaxws to javax.xml.ws

* Wed Mar 23 2011 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.28
- install bare poms

* Mon Mar 21 2011 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.27
- only install one pom

* Mon Mar 21 2011 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.26
- bump release

* Mon Mar 21 2011 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.25
- use sun-jaxws for jaxws-tools groupId

* Fri Mar 11 2011 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.24
- don't install relocation poms

* Tue Mar 08 2011 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.23
- change most %%define to %%global
- fix POM files

* Tue Mar 08 2011 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.22
- add some additional poms for backwards compatibility

* Fri Jan 14 2011 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.21
- fix file list for brew
- add maven repo to repolib

* Fri Sep 10 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.20
- move %%update_maven_depmap to %%postun

* Fri Sep 10 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.19
- add Requires: stax-ex

* Thu Sep 09 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.18
- remove saaj-api and saaj-impl (included in JDK6)

* Thu Sep 09 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.17
- Requires: sun-ws-metadata-2.0-api

* Thu Sep 09 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.16
- Requires: sun-sjsxp >= 0:1.0.1

* Wed Sep 08 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.15
- add symlink for FastInfoset.jar (sun-fi)
- don't add depmap entry for jsr181-api (sun-ws-metadata-2.0-api)
- add Requires for update-alternatives

* Thu Sep 02 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.14
- fix some bundling issues
- use jboss-ejb-3.0-api in place of annotation_1_0_api
- add glassfish-jaxws-no-findbugs.patch
- don't install jaxws-api.jar in two different places
- copy javadocs to javadoc package

* Thu Jul 29 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.7-0.13
- Rebuild in 5.1

* Thu Jul 29 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.12
- change alternatives priority from 20100 to 20107

* Tue Jul 27 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.11
- copy poms to repolib

* Mon Jul 26 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.10
- update pom patch

* Mon Jul 26 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.9
- remove streambuffer from pom

* Mon Jul 26 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.8
- remove stax-ex dependency from pom

* Mon Jul 26 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.7
- fix some version substitutions in poms
- remove some dependencies from poms

* Mon Jul 26 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.6
- install poms from src

* Tue Jun 15 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.5
- use bare sun-jaxws poms instead of real poms
- add depmaps for sun-jaxws groupId
- remove Requires
- remove com-sun-xml-ws-component-info.xml

* Fri Jun 11 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.4
- lower sun-mimepull version requirement

* Fri Jun 11 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.3
- add Requires based on jaxws-rt pom

* Tue Jun 08 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.2
- add tools pom

* Tue Jun 08 2010 David Walluck <dwalluck@redhat.com> 0:2.1.7-0.1
- 2.1.7
- add jaxws-rt pom
- fix repolib copy

* Wed May 05 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.1.3-4.6.1
- rebuilt

* Fri Apr 02 2010 Yong Yang <yyang@redhat.com> 0:2.1.3-4.6
- Rebuild

* Mon Feb 08 2010 David Walluck <dwalluck@redhat.com> 0:2.1.3-4.5
- revert back to using bundled jars

* Mon Jan 25 2010 Martha Benitez <mbenitez@redhat.com> 0:2.1.3-4.4.4
- Merge from RHEL5 the changes below:
- Comment "Requires:  sun-jaxws-2.1-api" to avoid conflicts because this package provides jaxws-*.jar 
- Comment Requires: jaxws_2_0_api
- BR sun-jaxws-2.1-api
- Comment BuildRequires:  axis2-jaxws-2.0-api

* Fri Dec 11 2009 Martha Benitez <mbenitez@redhat.com> 0:2.1.3-4.4
- Change pom.xml name from JPP.sun-jaxws.jaxws-api.pom to JPP.sun-jaxws-jaxws-api.pom

* Fri Dec 11 2009 Martha Benitez <mbenitez@redhat.com> 0:2.1.3-4.3
- Add jaxws-api to main package
- Use jaxws-api.pom from maven2-brew

* Tue Sep 29 2009 Martha Benitez <mbenitez@redhat.com> 0:2.1.3-4.2
- Change R sun-jaxws-2.1-api to axis2-jaxws-2.0-api

* Tue Sep 29 2009 Yong Yang <yyang@redhat.com> 0:2.1.3-4.1
- Replace "BuildRequires:  sun-jaxws-2.1-api" with "BuildRequires:  axis2-jaxws-2.0-api"

* Mon Sep 28 2009 Yong Yang <yyang@redhat.com> 0:2.1.3-4
- Install the jars produced by glassfish-jaxws only

* Sun Sep 27 2009 Yong Yang <yyang@redhat.com> 0:2.1.3-3
- BR all dependencies, removed all bundled jars in lib, set up lib with link
- Created a patch for sun-fi 1.2.7
- Removed http.jar sjsxp.jar because these two jars have been integraded into jdk6

* Thu Jun 11 2009 David Walluck <dwalluck@redhat.com> 0:2.1.3-2
- add com/sun/xml/ws repolib

* Mon Apr 13 2009 David Walluck <dwalluck@redhat.com> 0:2.1.3-1
- 2.1.3

* Mon Sep 29 2008 David Walluck <dwalluck@redhat.com> 0:2.1.1-4
- fix alternatives

* Wed Aug 20 2008 David Walluck <dwalluck@redhat.com> 0:2.1.1-3
- add maven pom
- fix repolib permissions
- fix component-info.xml

* Tue Jul 22 2008 David Walluck <dwalluck@redhat.com> 0:2.1.1-2
- fix summary
- fix java-devel requirement

* Tue Jul 22 2008 David Walluck <dwalluck@redhat.com> 0:2.1.1-2
- remove javadoc scriptlets
- fix repolib permissions
- update BuildRoot
- remove Vendor and Distribution
- quiet setup
- use macros

* Mon Jul 21 2008 Clive Saldanha <csaldanh@redhat.com> - 0:2.1-1jpp.ep1.3
- Added resolver.jar to repolib

* Mon Jul 21 2008 Clive Saldanha <csaldanh@redhat.com> - 0:2.1-1jpp.ep1.2
- Change sun-jaxb-2.1-component-info to glassfish-jaxb-component-info.xml

* Fri Jul 18 2008 Clive Saldanha <csaldanh@redhat.com> - 0:2.1-1jpp.ep1.1
- First release
